
From: Adrian Bunk <bunk@fs.tum.de>

I got the following compile error:

<--  snip  -->

...
  CC      drivers/ide/ide-pnp.o
make[2]: *** No rule to make target `drivers/ide/pdc4030.s', needed by 
`drivers/ide/pdc4030.o'.  Stop.
make[1]: *** [drivers/ide] Error 2

<--  snip  -->

The patch below fixes this problem.



---

 drivers/ide/Makefile |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff -puN drivers/ide/Makefile~ide-legacy-build-fix drivers/ide/Makefile
--- 25/drivers/ide/Makefile~ide-legacy-build-fix	2004-01-20 09:16:31.000000000 -0800
+++ 25-akpm/drivers/ide/Makefile	2004-01-20 09:16:31.000000000 -0800
@@ -23,18 +23,18 @@ ide-core-$(CONFIG_PROC_FS)		+= ide-proc.
 ide-core-$(CONFIG_BLK_DEV_IDEPNP)	+= ide-pnp.o
 
 # built-in only drivers from legacy/
-ide-core-$(CONFIG_BLK_DEV_IDE_PC9800)	+= pc9800.o
-ide-core-$(CONFIG_BLK_DEV_PDC4030)	+= pdc4030.o
-ide-core-$(CONFIG_BLK_DEV_BUDDHA)	+= buddha.o
-ide-core-$(CONFIG_BLK_DEV_FALCON_IDE)	+= falconide.o
-ide-core-$(CONFIG_BLK_DEV_GAYLE)	+= gayle.o
-ide-core-$(CONFIG_BLK_DEV_MAC_IDE)	+= macide.o
-ide-core-$(CONFIG_BLK_DEV_Q40IDE)	+= q40ide.o
+ide-core-$(CONFIG_BLK_DEV_IDE_PC9800)	+= legacy/pc9800.o
+ide-core-$(CONFIG_BLK_DEV_PDC4030)	+= legacy/pdc4030.o
+ide-core-$(CONFIG_BLK_DEV_BUDDHA)	+= legacy/buddha.o
+ide-core-$(CONFIG_BLK_DEV_FALCON_IDE)	+= legacy/falconide.o
+ide-core-$(CONFIG_BLK_DEV_GAYLE)	+= legacy/gayle.o
+ide-core-$(CONFIG_BLK_DEV_MAC_IDE)	+= legacy/macide.o
+ide-core-$(CONFIG_BLK_DEV_Q40IDE)	+= legacy/q40ide.o
 
 # built-in only drivers from ppc/
-ide-core-$(CONFIG_BLK_DEV_MPC8xx_IDE)	+= mpc8xx.o
-ide-core-$(CONFIG_BLK_DEV_IDE_PMAC)	+= pmac.o
-ide-core-$(CONFIG_BLK_DEV_IDE_SWARM)	+= swarm.o
+ide-core-$(CONFIG_BLK_DEV_MPC8xx_IDE)	+= ppc/mpc8xx.o
+ide-core-$(CONFIG_BLK_DEV_IDE_PMAC)	+= ppc/pmac.o
+ide-core-$(CONFIG_BLK_DEV_IDE_SWARM)	+= ppc/swarm.o
 
 obj-$(CONFIG_BLK_DEV_IDE)		+= ide-core.o
 obj-$(CONFIG_IDE_GENERIC)		+= ide-generic.o

_
